# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

PRs and issues are linked, so you can find more about it. Thanks to [ChangelogLinker](https://github.com/Symplify/ChangelogLinker).

<!-- changelog-linker -->

## Unreleased

- [#79] Bump composer versions, Thanks to [@TomasVotruba]

## [v3.2.1] - 2018-05-12

- [#78] Decouple own config to allow importing the set, Thanks to [@TomasVotruba]

## [v3.2.0] - 2018-04-05

- [#77] bump to Symplify 4, Thanks to [@TomasVotruba]

## [v3.1.0] - 2017-10-19

- [#68] Replace example for Rule 2, Thanks to [@roukmoute]
- [#71] Small typo fixes, Thanks to [@noplanman]
- [#72] Cleanup and dependency updates, Thanks to [@TomasVotruba]

## [v3.0.0] - 2017-06-17

### Added

- [#64] [tests] use AbstractSniffRunner, no custom; bump to CodeSniffer 3.0, Thanks to [@TomasVotruba]
- [#58] Easy coding standard enabled + simplify and unite sniff structure + move rule [#8] , Thanks to [@TomasVotruba]
- [#51] Add minimal OneObjectOperatorPerLine config example, Thanks to [@UFOMelkor]
- [#50] Add few tests, Thanks to [@TomasVotruba]
- [#47] Make more sniff classes configurable, Thanks to [@TomasVotruba]
- [#46] Make rules configurable, Thanks to [@TomasVotruba]
- [#37] Ignore default keyword for switch/case, Thanks to [@roukmoute]

### Changed

- [#62] Bump to Codesniffer 3, Thanks to [@TomasVotruba]
- [#63] Changed Composer package type to `phpcodesniffer-standard`, Thanks to [@frenck]
- [#65] Polishing before release, Thanks to [@TomasVotruba]
- [#44] Cleanup README, bump to PHP 7.1, PHPUnit 6.0, drop unused code, Thanks to [@TomasVotruba]
- [#49] Bump to Code Sniffer 3-RC, Thanks to [@TomasVotruba]
- [#59] README: first changes, link to ruleset.xml settings, drop duplication, Thanks to [@TomasVotruba]

### Fixed 

- [#56] Fixed README, Thanks to [@phux]
- [#55] Fixed error message for MaxNestingLevelSniff, Thanks to [@phux]
- [#53] Fix False positive (OneObjectOperatorPerLine) for property access within a class, Thanks to [@UFOMelkor]
- [#42] Class and function length: false positives, Thanks to [@UFOMelkor]

### Removed

- [#45] Drop rule 4, it is way too strict in practise, Thanks to [@TomasVotruba]

[#79]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/79
[#78]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/78
[#77]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/77
[#72]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/72
[#71]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/71
[#70]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/70
[#68]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/68
[#65]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/65
[#64]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/64
[#63]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/63
[#62]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/62
[#59]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/59
[#58]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/58
[#56]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/56
[#55]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/55
[#53]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/53
[#51]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/51
[#50]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/50
[#49]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/49
[#47]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/47
[#46]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/46
[#45]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/45
[#44]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/44
[#42]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/42
[#37]: https://github.com/object-calisthenics/phpcs-calisthenics-rules/pull/37
[@roukmoute]: https://github.com/roukmoute
[@phux]: https://github.com/phux
[@noplanman]: https://github.com/noplanman
[@frenck]: https://github.com/frenck
[@UFOMelkor]: https://github.com/UFOMelkor
[@TomasVotruba]: https://github.com/TomasVotruba
[@GaryJones]: https://github.com/GaryJones